Debian Bug report logs - #251618
ITP: hugin -- frontend to Panorama Tools

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Jordens <jordens@debian.org>

Date: Sat, 29 May 2004 19:33:07 UTC

Owned by: Florent Bayle <florent.bayle@free.fr>

Severity: wishlist

Merged with 246244

Fixed in version hugin/0.6.1-1

Done: Florent Bayle <fbayle@bigfoot.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Jordens <jordens@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Jordens <jordens@debian.org>
To: submit@bugs.debian.org
Subject: ITP: hugin -- frontend to Panorama Tools
Date: Sat, 29 May 2004 20:56:24 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

  Package name    : hugin
  Version         : 20040404
  Upstream Author : Pablo d'Angelo <pablo.dangelo@web.de>
  URL             : http://hugin.sf.net/
  License         : GPL, except for the SIFT algorithm, which is
                    non-comercial
  Description     : frontend to Panorama Tools

 This package contains:
  * hugin, a GUI for the panorama tools suite
  * nona and nona_gui, a simple replacement for PTStitcher (doesn't support most
    features of PTStitcher, but is several times faster, opensource and
    will be extended in the future).
  * autopano_old, creates hugin project files, for single row panoramas.
  * panosifter, creates hugin project files, from arbitrary images,
    uses a simple matching algorithm and a sift featue detector
  * autooptimiser, optimise a panorama pairwise, starting from an
    anchor image.
  * sift_keypoints, an implementation of the SIFT feature detection algorithm.
    Beware, it's licenced under a special LICENCE found in the SIFT_LICENCE
    file, due to a possible patent on the SIFT algorithm.
 .
 hugin can be used to stitch multiple images together. The resulting image can
 span 360 degrees. Another common use is the creation of very high resolution
 pictures by combining multiple images.
 .
 It uses the Panorama Tools library <http://www.path.unimelb.edu.au/~dersch/>
 as backend, to create high quality images.

preview: http://people.debian.org/~jordens/debs

-- 
It was kinda like stuffing the wrong card in a computer, when you're
stickin' those artificial stimulants in your arm.
		-- Dion, noted computer scientist
[signature.asc (application/pgp-signature, inline)]

Merged 246244 251618. Request was from Robert Jordens <robertjo@phys.ethz.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philipp Frauenfelder <pfrauenf@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 251618@bugs.debian.org (full text, mbox):

From: Philipp Frauenfelder <pfrauenf@debian.org>
To: ptx@email-lists.org, PanoTools@yahoogroups.com
Cc: 246244@bugs.debian.org, 251618@bugs.debian.org, 255375@bugs.debian.org, 251617@bugs.debian.org
Subject: Panotools and Hugin compile for Debian
Date: Thu, 30 Sep 2004 16:48:22 +0200
[Message part 1 (text/plain, inline)]
Dear Pano-Friends

I have compiled and packaged the Panotools [1] and Hugin [2] for
Debian (unstable) on amd64 and i386 and put the packages here:
http://people.debian.org/~pfrauenf/
(well, actually, maybe you have to wait for i386 until this
evening)

Please give it a spin and send me corrections etc. This is the
first upload of the packages and I might finally upload them
into the distribution.

[1] http://panotools.sourceforge.net/ (only libpano, not the
    Gimp Plugin)
[2] http://hugin.sourceforge.net/

Regards
-- 
Philipp      | work: pfrauenf@math.ethz.ch  +41 44 632 60 38
Frauenfelder | home: pfrauenf@debian.org    +41 44 862 73 14
[PGP]        | http://www.math.ethz.ch/~pfrauenf/
Proudly running Debian GNU/Linux. See http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bruno Postle <bruno@postle.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 251618@bugs.debian.org (full text, mbox):

From: Bruno Postle <bruno@postle.net>
To: Philipp Frauenfelder <pfrauenf@debian.org>
Cc: ptx@email-lists.org, PanoTools@yahoogroups.com, 251617@bugs.debian.org, 255375@bugs.debian.org, 251618@bugs.debian.org, 246244@bugs.debian.org
Subject: Re: [ptx] Panotools and Hugin compile for Debian
Date: Thu, 30 Sep 2004 16:26:51 +0100
On Thu 30-Sep-2004 at 16:48 +0200, Philipp Frauenfelder wrote:
> 
> I have compiled and packaged the Panotools [1] and Hugin [2] for
> Debian (unstable) on amd64 and i386 and put the packages here:
> http://people.debian.org/~pfrauenf/

Great, just a note about your package versions:

    hugin_0.4pre20040917-1
    libpano12_20040917-1

pano12 does have a version hidden away in the version.h file,
currently it is "2.7.0.4".

There are also two utilities in the 'tools/' directory that you
should build:

- "PTOptimizer" (required by hugin to do anything other than basic
  optimisation)

- "panoinfo" (tells you the library version).

You should probably also build "enblend" as this is now part of the
hugin workflow:

    http://www-cad.eecs.berkeley.edu/~mihal/enblend/

(apologies if this is already packaged for debian)


-- 
Bruno



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Jordens <jordens@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 251618-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 251618-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 01 Oct 2005 12:00:06 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 251618
thanks bts

Further comments on the work done in the bug sent to
251618@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent@sarcelle.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 251618@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent@sarcelle.net>
To: 251618@bugs.debian.org
Cc: ROBERTOJIMENOCA@terra.es
Subject: Hugin packaging
Date: Mon, 7 Nov 2005 23:43:51 +0100
[Message part 1 (text/plain, inline)]
>
>Could anybody comment on the status of packaging hugin?
>

Hello,

I still intent to package Hugin, but Hugin can't currently be packaged due to 
licensing problems between Hugin (under GPL) and Vigra (a library needed by 
Hugin which is NOT under GPL). I'm working with debian-legal, Hugin and Vigra 
authors to solve this issue, but I don't know how many time it will take to 
correct that.

Some links :
 - http://lists.debian.org/debian-legal/2005/09/msg00515.html
 - 
http://kogs.informatik.uni-hamburg.de/pipermail/vigra/2005-September/000087.html
 - 
http://kogs.informatik.uni-hamburg.de/pipermail/vigra/2005-October/000117.html
 - http://lists.debian.org/debian-legal/2005/10/msg00062.html

I wrote my last mail to Vigra's author on 10/10/2005, but I don't get any 
since that date, and I plan to re-send it soon, because I also really want to 
have hugin in Debian.

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent@sarcelle.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #34 received at 251618@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent@sarcelle.net>
To: Emil Nowak <emil.nowak@gmail.com>, 251618@bugs.debian.org
Subject: Re: Hugin packages for Debian
Date: Sun, 2 Apr 2006 02:51:56 +0200
[Message part 1 (text/plain, inline)]
Le Samedi 1 Avril 2006 11:29, vous avez écrit :
> Hello,
> I saw wnpp bugreport, about Hugin:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=246244
> In August 2005 You said that you are working on uploading 0,5RC version, to
> debian. What happend next? This wnpp bug seems to be closed, are there any
> problems with Hugin?

This bug (and 251618) were closed automaticaly, and reopened.

There is still some licencing problems with Hugin : Hugin depends on libvigra, 
which was licenced under a non-free and non-GPL-compatible licence.
I worked with Vigra's authors (see my previous mail on bug #251618), Vigra was 
re-licenced under MIT-X11 licence (wich is free and GPL-compatible), and it 
is now under Debian.
But current stable version of Hugin is still using and old, non-free, 
highly-patched version of Vigra.
The bug was reported upstream 
(http://sourceforge.net/tracker/index.php?func=detail&aid=1434981&group_id=77506&atid=550441), 
and according to the authors, the CVS version can now be built with a patched 
version of Vigra 1.4.0, BUT :
 - if you look at the CVS, you will find the file src/foreign/VIGRA_LICENSE 
which is still refering to the old, non-free Vigra licence
 - i prefer not to be obliged to create a package "libvigraimpex2_hugin", or 
something like that
 - the patches to make latest Vigra version working with Hugin where sent 
upstream.
So I'm now waiting for :
 - Vigra's authors to patch the official version of Vigra to makes it working 
with Hugin
 - this version to enter Debian
 - Hugin's CVS to be cleaned.

> Now I'm using Christian Marillat package from ftp.nerim.net, and everything
> works fine. But of course it will be better, to have hugin officaily in
> Debian.

I agree with you, and it's why I am working on official Hugin packages.

>
> Can You please tell me what is the current status of Hugin package in
> Debian?

I think that it's done :-)

-- 
Florent

P.S. : I forward this mail to the bug #251618
[Message part 2 (application/pgp-signature, inline)]

Owner recorded as Florent Bayle <florent.bayle@free.fr>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Florent Bayle <florent.bayle@free.fr>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent@sarcelle.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Florent Bayle <florent.bayle@free.fr>. Full text and rfc822 format available.

Message #41 received at 251618@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent@sarcelle.net>
To: 251618@bugs.debian.org
Subject: No more licensing problems
Date: Sun, 23 Jul 2006 16:22:31 +0200
[Message part 1 (text/plain, inline)]
Hi,

Hugin 0.6 was released today, and it seems that all the code is now under GPL 
or GPL-compatible licences.
So, I will now work on packaging, and I hope to see it in Debian mid-august.

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Florent Bayle <florent.bayle@free.fr>:
Bug#251618; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Hubert Figuiere <hub@figuiere.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Florent Bayle <florent.bayle@free.fr>. Full text and rfc822 format available.

Message #46 received at 251618@bugs.debian.org (full text, mbox):

From: Hubert Figuiere <hub@figuiere.net>
To: 251618@bugs.debian.org
Cc: Florent Bayle <florent@sarcelle.net>
Subject: ubuntu package
Date: Sat, 5 Aug 2006 10:39:01 -0400
[Message part 1 (text/plain, inline)]
Florent,

I have uploaded my package in Ubuntu universe (edgy). If you could grab that 
one to make the Debian package, I'd be happy that the one shipped in Ubuntu 
just be a sync from Debian (Unfortunately I'm not a DD).

Package files are here:
http://revu.tauware.de/details.py?upid=2808

(be aware that compiling some of the files require over 300MB of RAM)

Hub
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Florent Bayle <fbayle@bigfoot.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Jordens <jordens@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 251618-close@bugs.debian.org (full text, mbox):

From: Florent Bayle <fbayle@bigfoot.com>
To: 251618-close@bugs.debian.org
Subject: Bug#251618: fixed in hugin 0.6.1-1
Date: Tue, 05 Sep 2006 11:00:34 -0700
Source: hugin
Source-Version: 0.6.1-1

We believe that the bug you reported is fixed in the latest version of
hugin, which is due to be installed in the Debian FTP archive:

hugin-bin_0.6.1-1_i386.deb
  to pool/main/h/hugin/hugin-bin_0.6.1-1_i386.deb
hugin-data_0.6.1-1_all.deb
  to pool/main/h/hugin/hugin-data_0.6.1-1_all.deb
hugin-tools_0.6.1-1_i386.deb
  to pool/main/h/hugin/hugin-tools_0.6.1-1_i386.deb
hugin_0.6.1-1.diff.gz
  to pool/main/h/hugin/hugin_0.6.1-1.diff.gz
hugin_0.6.1-1.dsc
  to pool/main/h/hugin/hugin_0.6.1-1.dsc
hugin_0.6.1-1_all.deb
  to pool/main/h/hugin/hugin_0.6.1-1_all.deb
hugin_0.6.1.orig.tar.gz
  to pool/main/h/hugin/hugin_0.6.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 251618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florent Bayle <fbayle@bigfoot.com> (supplier of updated hugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 27 Jul 2006 16:17:46 +0200
Source: hugin
Binary: hugin-bin hugin hugin-tools hugin-data
Architecture: source i386 all
Version: 0.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Florent Bayle <fbayle@bigfoot.com>
Changed-By: Florent Bayle <fbayle@bigfoot.com>
Description: 
 hugin      - a Panorama Tools GUI to make panoramas from multiple pictures
 hugin-bin  - hugin binaries
 hugin-data - data files for hugin
 hugin-tools - some tools for hugin
Closes: 251618
Changes: 
 hugin (0.6.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #251618)
Files: 
 ec76edbfd877f786f0a92efd576056e2 777 graphics optional hugin_0.6.1-1.dsc
 834e78f8cfeddfc77bfe99438dad6ee7 2685257 graphics optional hugin_0.6.1.orig.tar.gz
 2c5203b06a7bf9b464e04705b5f6c028 28618 graphics optional hugin_0.6.1-1.diff.gz
 31a0becc2a6d32f1ada90bdb63486a19 2568366 graphics optional hugin-bin_0.6.1-1_i386.deb
 0e4ff26b95f95e35db03fc594d71a3a4 5043464 graphics optional hugin-tools_0.6.1-1_i386.deb
 2abf0a9a6fdb4bdc3afabdc71e8406a1 84298 graphics optional hugin_0.6.1-1_all.deb
 047e60e7eecda346e72173ff41a7dab8 1034384 graphics optional hugin-data_0.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE82G0pGK1HsL+5c0RAsm1AKCxbEHcYev2CO9jNnv3h/rehsTc3wCgwqBf
NbLru9OPLCKQFriNduorewg=
=itA5
-----END PGP SIGNATURE-----




Reply sent to Florent Bayle <fbayle@bigfoot.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Brodbelt <mike@coruscant.demon.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:50:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:29:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.